//Copyright (C) 2000 Microsoft Corporation.  All rights reserved.

//This source code is intended only as a supplement to Microsoft
//Development Tools and/or on-line documentation.  See these other
//materials for detailed information regarding Microsoft code samples.

//THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//PARTICULAR PURPOSE.

namespace [!output SAFE_NAMESPACE_NAME]
{
using System;
using System.IO ;
using System.Drawing;
using System.Drawing.Printing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;


/// <summary>
///    Summary description for Form2.
/// </summary>
public class SDIView
{
    /// <summary> 
    ///    Required designer variable
    /// </summary>
	private SDIDoc myDoc;
	private Form1 mainWin;

    public SDIView(SDIDoc doc,Form1 parent)
    {
		//
        // Required for Win Form Designer support
        //
		this.myDoc  = doc;
		mainWin = parent;	
	}

	public void PaintHandler(Object sender, PaintEventArgs e)
	{
		Rectangle rectClip = e.ClipRectangle;

		// TODO
		// add graphic commands here, for instance e.Graphics....
		//
	}

	public void PrintPage(object sender,PrintPageEventArgs ev)
	{
		// TODO
		// add graphic commands here, for instance ev.Graphics....


		ev.HasMorePages = false;
	}

	public SDIDoc GetDocument()
	{
		return myDoc;
	}	


}
}
